Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.core
Class ConstructorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.core.ConstructorException

All Implemented Interfaces:
  java.io.Serializable

    public class ConstructorException

extends PersistenceException

The `ConstructorException` is used to represent any errors where an annotated constructor parameter is invalid. This is thrown when constructor injection is used and the schema is invalid. Invalid schemas are schemas where an annotated method or field does not match an annotated constructor parameter.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`ConstructorException(java.lang.String text, java.lang.Object... list)` Constructor for the `ConstructorException` object.
`ConstructorException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `ConstructorException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructorException

    public ConstructorException(java.lang.String text,
                                java.lang.Object... list)

  Constructor for the `ConstructorException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### ConstructorException

    public ConstructorException(java.lang.Throwable cause,
                                java.lang.String text,
                                java.lang.Object... list)

  Constructor for the `ConstructorException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD